Skip to main content
PUT
/
api
/
v1
/
{team_slug}
/
{app_slug}
/
images
Error
A valid request URL is required to generate request examples
{
  "data": {
    "alt": "<string>",
    "app_id": "<string>",
    "attributes": [
      {
        "created_at": "<string>",
        "description": "<string>",
        "filterable": true,
        "id": "<string>",
        "key": "<string>",
        "name": "<string>",
        "template_key": "<string>",
        "template_name": "<string>",
        "translatable": true,
        "translations": {
          "description": [
            {
              "id": "<string>",
              "locale": "<string>",
              "value": "<string>"
            }
          ],
          "name": [
            {
              "id": "<string>",
              "locale": "<string>",
              "value": "<string>"
            }
          ]
        },
        "updated_at": "<string>",
        "values": {}
      }
    ],
    "blurhash": "<string>",
    "copyright": "<string>",
    "custom": {},
    "folder_id": "<string>",
    "id": "<string>",
    "parent_id": "<string>",
    "public": true,
    "source_app_id": "<string>",
    "source_id": "<string>",
    "status": "<string>",
    "title": "<string>",
    "translations": {
      "alt": [
        {
          "id": "<string>",
          "locale": "<string>",
          "value": "<string>"
        }
      ],
      "copyright": [
        {
          "id": "<string>",
          "locale": "<string>",
          "value": "<string>"
        }
      ],
      "title": [
        {
          "id": "<string>",
          "locale": "<string>",
          "value": "<string>"
        }
      ]
    },
    "url": "<string>",
    "used_by": [
      {
        "created_at": "<string>",
        "id": "<string>",
        "name": "<string>",
        "priority": 123,
        "slug": "<string>",
        "updated_at": "<string>"
      }
    ],
    "variants": [
      {
        "alt": "<string>",
        "app_id": "<string>",
        "attributes": "<array>",
        "blurhash": "<string>",
        "copyright": "<string>",
        "custom": {},
        "folder_id": "<string>",
        "id": "<string>",
        "parent_id": "<string>",
        "public": true,
        "source_app_id": "<string>",
        "source_id": "<string>",
        "status": "<string>",
        "title": "<string>",
        "translations": {
          "alt": [
            {
              "id": "<string>",
              "locale": "<string>",
              "value": "<string>"
            }
          ],
          "copyright": [
            {
              "id": "<string>",
              "locale": "<string>",
              "value": "<string>"
            }
          ],
          "title": [
            {
              "id": "<string>",
              "locale": "<string>",
              "value": "<string>"
            }
          ]
        },
        "url": "<string>"
      }
    ]
  },
  "details": [
    "<string>"
  ],
  "success": true
}

Path Parameters

app_slug
string
required

App slug

team_slug
string
required

Team slug

Query Parameters

connect_to_sku
boolean

Try to connect the image to a product or variant using the filename. If filename matches an existing product or variant do we connect it. Priority can be set via a numeric suffix (sku_3) or an uppercase letter suffix A-Z (sku_A, where A=1 through Z=26). If the format don't match sku_priority (e.g sku.jpeg) do we fallback to priority 10

connect_to_slug
boolean

Try to connect the image to a product usign the filename. If filename matches an existing product do we connect it. Priority can be set via a numeric suffix (slug_3) or an uppercase letter suffix A-Z (slug_A, where A=1 through Z=26). If the format don't match slug_priority (e.g slug.jpeg) do we fallback to priority 10

connect_to_variant_group
boolean

Try to connect the image to a variant group using the filename. Format: productNumber_variantGroupSlug[_priority].extension where priority is numeric or uppercase A-Z (A=1 through Z=26). Example: 2512301_102.jpg links product 2512301 variant group slug 102.

Body

application/x-www-form-urlencoded
title
string

Image title

alt
string

Alternative image text

Image copyright text

image
file

Image file to upload

url
string

Url to source file. Url will be used if provided over file

status
string

Status for image. One of active, inactive, draft

filename
string

Custom filename (without extension)

blurhash
string

Optional precomputed blurhash. If provided, generation is skipped

parent_id
string

Parent image ID

Response

Image uploaded successfully

data
object
details
string[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

success
boolean